scala.tools.selectivecps.CPSAnnotationChecker

# checker

#### object checker extends nsc.Global.AnnotationChecker

Checks whether @cps annotations conform

Linear Supertypes
nsc.Global.AnnotationChecker, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. checker
2. AnnotationChecker
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def adaptBoundsToAnnotations(bounds: List[nsc.Global.TypeBounds], tparams: List[nsc.Global.Symbol], targs: List[nsc.Global.Type]): List[nsc.Global.TypeBounds]

   Refine the bounds on type parameters to the given type arguments.

   Refine the bounds on type parameters to the given type arguments.

   Definition Classes
     checker → AnnotationChecker

7. #### def annotationsConform(tpe1: nsc.Global.Type, tpe2: nsc.Global.Type): Boolean

   Check annotations to decide whether tpe1 <:< tpe2

   Check annotations to decide whether tpe1 <:< tpe2

   Definition Classes
     checker → AnnotationChecker

8. #### def annotationsGlb(tp: nsc.Global.Type, ts: List[nsc.Global.Type]): nsc.Global.Type

   Definition Classes
     AnnotationChecker

9. #### def annotationsLub(tpe: nsc.Global.Type, ts: List[nsc.Global.Type]): nsc.Global.Type

   Refine the computed least upper bound of a list of types.

   Refine the computed least upper bound of a list of types. All this should do is add annotations.

   Definition Classes
     checker → AnnotationChecker

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def isActive(): Boolean

    Definition Classes
      AnnotationChecker

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def adaptAnnotations(tree: nsc.Global.Tree, mode: Int, pt: nsc.Global.Type): nsc.Global.Tree

   Definition Classes
     AnnotationChecker
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.1) Create an AnalyzerPlugin and use adaptAnnotations

2. #### def adaptTypeOfReturn(tree: nsc.Global.Tree, pt: nsc.Global.Type, default: ⇒ nsc.Global.Type): nsc.Global.Type

   Definition Classes
     AnnotationChecker
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.1) Create an AnalyzerPlugin and use pluginsTypedReturn. Note: the 'tree' argument here is the 'expr' of a Return tree; 'pluginsTypedReturn' takes the Return tree itself as argument

3. #### def addAnnotations(tree: nsc.Global.Tree, tpe: nsc.Global.Type): nsc.Global.Type

   Definition Classes
     AnnotationChecker
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.1) Create an AnalyzerPlugin and use pluginsTyped

4. #### def canAdaptAnnotations(tree: nsc.Global.Tree, mode: Int, pt: nsc.Global.Type): Boolean

   Definition Classes
     AnnotationChecker
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.1) Create an AnalyzerPlugin and use canAdaptAnnotations

### Inherited from nsc.Global.AnnotationChecker

### Inherited from AnyRef

### Inherited from Any

### Ungrouped